Draft FlipDimension: Difference between revisions

From FreeCAD Documentation
No edit summary
(Button text.)
 
(35 intermediate revisions by 7 users not shown)
Line 1: Line 1:
<languages/>
<translate>
<translate>

<!--T:7-->
{{Docnav
|[[Draft_Slope|Slope]]
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Slope.svg
|IconR=Draft_Shape2DView.svg
|IconC=Workbench_Draft.svg
}}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand|Name=Draft FlipDimension|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft → Utilities → Flip Dimension|SeeAlso=[[Draft Dimension|Dimension]]}}
|Name=Draft FlipDimension
|MenuLocation=Modification → Flip dimension
|Workbenches=[[Draft_Workbench|Draft]], [[Arch_Workbench|Arch]]
}}


==Description== <!--T:2-->
==Description== <!--T:10-->
When in 2D mode, the text of the [[Draft Dimension|Draft dimensions]] is displayed aligned to the dimension line. The Dimension tool always tries to show you the dimension text on the correct side of the dimension line, depending on where you are viewing it from. In some cases, though, the viewing direction might not reflect the intent of the viewer, and the orientation of the dimension text might be inverted. This tool inverts that orientation on selected [[Draft Dimension|dimension]] objects.


<!--T:2-->
What this tool does, internally, is to invert the '''Normal''' direction of the dimension, which is the direction used to draw the text with the correct orientation. Dimensions also have a '''Flip Text''' property, which rotates the text by 180 degrees around the normal direction. By combining these two features, normal direction and Flip Text, you are able to make the text appear correctly in all possible situations.
The [[Image:Draft_FlipDimension.svg|24px]] '''Draft FlipDimension''' command rotates the dimension text of selected [[Draft_Dimension|Draft Dimensions]] 180° around the dimension line. It can be used to correct dimensions whose text appears mirrored. The command does not work properly for angular dimensions.


==How to use== <!--T:3-->
==Usage== <!--T:11-->

# Select one or more [[Draft Dimension|dimension]] objects
<!--T:3-->
# Press the {{KEY|[[Image:Draft_FlipDimension.png|16px]] [[Draft FlipDimension|Flip Dimension]]}} button
# Select one or more [[Draft_Dimension|Draft Dimensions]].
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Draft_FlipDimension.svg|16px]] [[Draft_FlipDimension|Flip dimension]]}} button.
#* Select the {{MenuCommand|Modification → [[Image:Draft_FlipDimension.svg|16px]] Flip dimension}} option from the menu.

==Notes== <!--T:12-->

<!--T:5-->
* [[Draft_Dimension|Draft Dimensions]] also have a {{PropertyData|Flip Text}} property. When set to {{TRUE}} the text is rotated 180° around the normal direction. This can be combined with the effect of this command.

==Scripting== <!--T:13-->

<!--T:14-->
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].

<!--T:15-->
To flip a [[Draft_Dimension|Draft Dimension]] invert its {{incode|Normal}} property.

<!--T:16-->
Example:


</translate>
</translate>
{{Code|code=
{{clear}}
import FreeCAD as App
<languages/>
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()
}}
<translate>


<!--T:6-->
{{Docnav
|[[Draft_Slope|Slope]]
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Slope.svg
|IconR=Draft_Shape2DView.svg
|IconC=Workbench_Draft.svg
}}

</translate>
{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 17:13, 3 December 2023

Draft FlipDimension

Menu location
Modification → Flip dimension
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
None

Description

The Draft FlipDimension command rotates the dimension text of selected Draft Dimensions 180° around the dimension line. It can be used to correct dimensions whose text appears mirrored. The command does not work properly for angular dimensions.

Usage

  1. Select one or more Draft Dimensions.
  2. There are several ways to invoke the command:
    • Press the Flip dimension button.
    • Select the Modification → Flip dimension option from the menu.

Notes

  • Draft Dimensions also have a DataFlip Text property. When set to true the text is rotated 180° around the normal direction. This can be combined with the effect of this command.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To flip a Draft Dimension invert its Normal property.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()